package com.qmth.eds.bean.result;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 赋分计算result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/5/24
 */
public class StudentMarkResult implements Serializable {

    @ApiModelProperty(value = "id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ExcelIgnore
    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    @ApiModelProperty(value = "学年")
    private String xnm;

    @ApiModelProperty(value = "学期")
    private String xqm;

    @ApiModelProperty(value = "教学班id")
    private String jxbId;

    @ApiModelProperty(value = "教学班名称")
    private String jxbmc;

    @ApiModelProperty(value = "课程号")
    private String kch;

    @ApiModelProperty(value = "课程名称")
    private String kcmc;

    @ApiModelProperty(value = "开课部门")
    private String kkbm;

    @ApiModelProperty(value = "学分")
    private String xf;

    @ApiModelProperty(value = "学号")
    private String xh;

    @ApiModelProperty(value = "学生姓名")
    private String xsxm;

    @ApiModelProperty(value = "学院")
    private String jgmc;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "总分")
    private String totalScore;

    @ApiModelProperty(value = "赋分值")
    private String assignScore;

    @ApiModelProperty(value = "客观题总分")
    private String objectiveScore;

    @ApiModelProperty(value = "主观题总分")
    private String subjectiveScore;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getXnm() {
        return xnm;
    }

    public void setXnm(String xnm) {
        this.xnm = xnm;
    }

    public String getXqm() {
        return xqm;
    }

    public void setXqm(String xqm) {
        this.xqm = xqm;
    }

    public String getJxbId() {
        return jxbId;
    }

    public void setJxbId(String jxbId) {
        this.jxbId = jxbId;
    }

    public String getJxbmc() {
        return jxbmc;
    }

    public void setJxbmc(String jxbmc) {
        this.jxbmc = jxbmc;
    }

    public String getKch() {
        return kch;
    }

    public void setKch(String kch) {
        this.kch = kch;
    }

    public String getKcmc() {
        return kcmc;
    }

    public void setKcmc(String kcmc) {
        this.kcmc = kcmc;
    }

    public String getKkbm() {
        return kkbm;
    }

    public void setKkbm(String kkbm) {
        this.kkbm = kkbm;
    }

    public String getXf() {
        return xf;
    }

    public void setXf(String xf) {
        this.xf = xf;
    }

    public String getXh() {
        return xh;
    }

    public void setXh(String xh) {
        this.xh = xh;
    }

    public String getXsxm() {
        return xsxm;
    }

    public void setXsxm(String xsxm) {
        this.xsxm = xsxm;
    }

    public String getJgmc() {
        return jgmc;
    }

    public void setJgmc(String jgmc) {
        this.jgmc = jgmc;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(String totalScore) {
        this.totalScore = totalScore;
    }

    public String getAssignScore() {
        return assignScore;
    }

    public void setAssignScore(String assignScore) {
        this.assignScore = assignScore;
    }

    public String getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(String objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public String getSubjectiveScore() {
        return subjectiveScore;
    }

    public void setSubjectiveScore(String subjectiveScore) {
        this.subjectiveScore = subjectiveScore;
    }
}
