package com.qmth.eds.common.enums;

import java.util.Objects;

/**
 * 机构类型enum
 */
public enum FormulaEnum {

    FORMULA1("公式1"),
    FORMULA2("公式2");

    private String name;

    private FormulaEnum(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    /**
     * 状态转换 toName
     *
     * @param name
     * @return
     */
    public static String convertToName(String name) {
        for (FormulaEnum e : FormulaEnum.values()) {
            if (Objects.equals(name, e.getName())) {
                return e.name();
            }
        }
        return null;
    }
}
