package com.qmth.eds.common.enums;

import java.util.Objects;

/**
 * 机构类型enum
 */
public enum OrgTypeEnum {

    SCHOOL("学校");

    private String title;

    private OrgTypeEnum(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    /**
     * 状态转换 toName
     *
     * @param title
     * @return
     */
    public static String convertToName(String title) {
        for (OrgTypeEnum e : OrgTypeEnum.values()) {
            if (Objects.equals(title, e.getTitle())) {
                return e.name();
            }
        }
        return null;
    }
}
